

#====================================
#  Application cmt
#
#   Generated Thu Feb 15 15:03:19 2001  by arnault
#
#====================================

help ::
	@echo 'cmt'

cmt :: dirs  $(bin)cmt.exe
	@/bin/echo "------> cmt ok"



$(bin)cmt.exe :: $(bin)cmt.o $(bin)cmt_awk.o $(bin)cmt_branch.o $(bin)cmt_constituent.o $(bin)cmt_deps_builder.o $(bin)cmt_fragment.o $(bin)cmt_generator.o $(bin)cmt_include.o $(bin)cmt_parser.o $(bin)cmt_script.o $(bin)cmt_selector.o $(bin)cmt_string.o $(bin)cmt_system.o $(bin)cmt_tag.o $(bin)cmt_use.o $(bin)cmt_symbol.o $(bin)cmt_error.o $(bin)cmt_pattern.o $(bin)cmt_language.o $(bin)cmt_cvs.o $(bin)cmt_group.o $(bin)cmt_database.o $(bin)cmt_lock.o $(bin)cmt_triggers.o $(bin)cmt_regexp.o $(bin)cmt_model.o $(use_stamps) $(cmtstamps)
	$(link_echo) $@
	$(link_silent) cd $(bin); $(cpplink) -o cmt.exe.new $(bin)cmt.o $(bin)cmt_awk.o $(bin)cmt_branch.o $(bin)cmt_constituent.o $(bin)cmt_deps_builder.o $(bin)cmt_fragment.o $(bin)cmt_generator.o $(bin)cmt_include.o $(bin)cmt_parser.o $(bin)cmt_script.o $(bin)cmt_selector.o $(bin)cmt_string.o $(bin)cmt_system.o $(bin)cmt_tag.o $(bin)cmt_use.o $(bin)cmt_symbol.o $(bin)cmt_error.o $(bin)cmt_pattern.o $(bin)cmt_language.o $(bin)cmt_cvs.o $(bin)cmt_group.o $(bin)cmt_database.o $(bin)cmt_lock.o $(bin)cmt_triggers.o $(bin)cmt_regexp.o $(bin)cmt_model.o $(use_linkopts) $(cmtlinkopts); mv -f cmt.exe.new cmt.exe


cmt_dependencies.make : $(src)cmt.cxx $(src)cmt_awk.cxx $(src)cmt_branch.cxx $(src)cmt_constituent.cxx $(src)cmt_deps_builder.cxx $(src)cmt_fragment.cxx $(src)cmt_generator.cxx $(src)cmt_include.cxx $(src)cmt_parser.cxx $(src)cmt_script.cxx $(src)cmt_selector.cxx $(src)cmt_string.cxx $(src)cmt_system.cxx $(src)cmt_tag.cxx $(src)cmt_use.cxx $(src)cmt_symbol.cxx $(src)cmt_error.cxx $(src)cmt_pattern.cxx $(src)cmt_language.cxx $(src)cmt_cvs.cxx $(src)cmt_group.cxx $(src)cmt_database.cxx $(src)cmt_lock.cxx $(src)cmt_triggers.cxx $(src)cmt_regexp.cxx $(src)cmt_model.cxx  cmt_path.make requirements $(use_requirements)
	@echo "Rebuilding $@"; $(build_dependencies) cmt $?

-include cmt_dependencies.make


$(bin)cmt.o : $(cmt_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_cppflags) $(cmt_cxx_cppflags)  $(src)cmt.cxx



$(bin)cmt_awk.o : $(cmt_awk_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_awk.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_awk_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_awk_cppflags) $(cmt_awk_cxx_cppflags)  $(src)cmt_awk.cxx



$(bin)cmt_branch.o : $(cmt_branch_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_branch.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_branch_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_branch_cppflags) $(cmt_branch_cxx_cppflags)  $(src)cmt_branch.cxx



$(bin)cmt_constituent.o : $(cmt_constituent_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_constituent.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_constituent_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_constituent_cppflags) $(cmt_constituent_cxx_cppflags)  $(src)cmt_constituent.cxx



$(bin)cmt_deps_builder.o : $(cmt_deps_builder_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_deps_builder.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_deps_builder_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_deps_builder_cppflags) $(cmt_deps_builder_cxx_cppflags)  $(src)cmt_deps_builder.cxx



$(bin)cmt_fragment.o : $(cmt_fragment_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_fragment.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_fragment_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_fragment_cppflags) $(cmt_fragment_cxx_cppflags)  $(src)cmt_fragment.cxx



$(bin)cmt_generator.o : $(cmt_generator_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_generator.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_generator_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_generator_cppflags) $(cmt_generator_cxx_cppflags)  $(src)cmt_generator.cxx



$(bin)cmt_include.o : $(cmt_include_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_include.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_include_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_include_cppflags) $(cmt_include_cxx_cppflags)  $(src)cmt_include.cxx



$(bin)cmt_parser.o : $(cmt_parser_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_parser.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_parser_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_parser_cppflags) $(cmt_parser_cxx_cppflags)  $(src)cmt_parser.cxx



$(bin)cmt_script.o : $(cmt_script_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_script.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_script_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_script_cppflags) $(cmt_script_cxx_cppflags)  $(src)cmt_script.cxx



$(bin)cmt_selector.o : $(cmt_selector_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_selector.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_selector_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_selector_cppflags) $(cmt_selector_cxx_cppflags)  $(src)cmt_selector.cxx



$(bin)cmt_string.o : $(cmt_string_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_string.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_string_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_string_cppflags) $(cmt_string_cxx_cppflags)  $(src)cmt_string.cxx



$(bin)cmt_system.o : $(cmt_system_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_system.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_system_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_system_cppflags) $(cmt_system_cxx_cppflags)  $(src)cmt_system.cxx



$(bin)cmt_tag.o : $(cmt_tag_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_tag.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_tag_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_tag_cppflags) $(cmt_tag_cxx_cppflags)  $(src)cmt_tag.cxx



$(bin)cmt_use.o : $(cmt_use_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_use.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_use_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_use_cppflags) $(cmt_use_cxx_cppflags)  $(src)cmt_use.cxx



$(bin)cmt_symbol.o : $(cmt_symbol_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_symbol.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_symbol_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_symbol_cppflags) $(cmt_symbol_cxx_cppflags)  $(src)cmt_symbol.cxx



$(bin)cmt_error.o : $(cmt_error_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_error.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_error_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_error_cppflags) $(cmt_error_cxx_cppflags)  $(src)cmt_error.cxx



$(bin)cmt_pattern.o : $(cmt_pattern_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_pattern.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_pattern_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_pattern_cppflags) $(cmt_pattern_cxx_cppflags)  $(src)cmt_pattern.cxx



$(bin)cmt_language.o : $(cmt_language_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_language.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_language_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_language_cppflags) $(cmt_language_cxx_cppflags)  $(src)cmt_language.cxx



$(bin)cmt_cvs.o : $(cmt_cvs_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_cvs.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_cvs_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_cvs_cppflags) $(cmt_cvs_cxx_cppflags)  $(src)cmt_cvs.cxx



$(bin)cmt_group.o : $(cmt_group_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_group.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_group_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_group_cppflags) $(cmt_group_cxx_cppflags)  $(src)cmt_group.cxx



$(bin)cmt_database.o : $(cmt_database_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_database.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_database_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_database_cppflags) $(cmt_database_cxx_cppflags)  $(src)cmt_database.cxx



$(bin)cmt_lock.o : $(cmt_lock_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_lock.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_lock_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_lock_cppflags) $(cmt_lock_cxx_cppflags)  $(src)cmt_lock.cxx



$(bin)cmt_triggers.o : $(cmt_triggers_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_triggers.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_triggers_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_triggers_cppflags) $(cmt_triggers_cxx_cppflags)  $(src)cmt_triggers.cxx



$(bin)cmt_regexp.o : $(cmt_regexp_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_regexp.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_regexp_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_regexp_cppflags) $(cmt_regexp_cxx_cppflags)  $(src)cmt_regexp.cxx



$(bin)cmt_model.o : $(cmt_model_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_model.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_model_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_model_cppflags) $(cmt_model_cxx_cppflags)  $(src)cmt_model.cxx


clean :: cmtclean
	@cd .

cmtclean ::
	-$(cleanup_echo) cmt.exe
	-$(cleanup_silent) cd $(bin); /bin/rm -f cmt.exe
	$(cleanup_echo) objects
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)cmt.o $(bin)cmt_awk.o $(bin)cmt_branch.o $(bin)cmt_constituent.o $(bin)cmt_deps_builder.o $(bin)cmt_fragment.o $(bin)cmt_generator.o $(bin)cmt_include.o $(bin)cmt_parser.o $(bin)cmt_script.o $(bin)cmt_selector.o $(bin)cmt_string.o $(bin)cmt_system.o $(bin)cmt_tag.o $(bin)cmt_use.o $(bin)cmt_symbol.o $(bin)cmt_error.o $(bin)cmt_pattern.o $(bin)cmt_language.o $(bin)cmt_cvs.o $(bin)cmt_group.o $(bin)cmt_database.o $(bin)cmt_lock.o $(bin)cmt_triggers.o $(bin)cmt_regexp.o $(bin)cmt_model.o
